Summary:        Profiler for Java that can be used to trace object usage and method timings
Name:           jmp
Version:        0.51
Release:        %mkrel 1
Epoch:          0
URL:            http://www.khelekore.org/jmp/
Source0:        http://www.khelekore.org/jmp/jmp-%{version}.tar.bz2
License:        GPL
Group:          Development/Java
BuildRequires:  chrpath
BuildRequires:  gtk2-devel
BuildRequires:  jpackage-utils
BuildRequires:  kaffe-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JMP is a profiler for Java that can be used to trace object usage and 
method timings. JMP uses the JVMPI interface to gather statistics and 
interact with the JVM. JMP uses a GTK+ interface to show the status.

JMP normally uses one window to show the classes in memory. Each class 
has summary information for number of instances and total bytes of used 
memory for all the instances.

JMP can perform heap analysis and has the ability to show which objects 
own (have references to) all the objects of a specified class. This is a 
great way to find memory leaks.

JMP also shows method timings and calls in another window. Several 
columns show time taken in the method, number of calls to each method, 
time taken in methods called.

JMP collects information about which method are called and from where, 
this information is used to build call graphs.

JMP interacts with the normal java threads and also uses one extra 
thread for GTK+ with a timer to systematically update the stats.

JMP is written in C; it is designed for speed.

%prep
%setup -q

%build
export JAVA_HOME="%{_jvmdir}/java-1.4.2-kaffe"
export CLASSPATH="%{_jvmdir}/java-1.4.2-kaffe/jre/lib/rt.jar"
export CFLAGS="`echo %{optflags} | sed 's/-O[0-9]*/-O3/'`"
%ifarch x86_64
export CFLAGS="-march=athlon64 $CFLAGS"
%endif
%configure2_5x
%{__perl} -pi -e 's|-classpath \.|-classpath .:\$(CLASSPATH)|' Makefile
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{_bindir}/chrpath -d %{buildroot}%{_libdir}/lib%{name}.so.[0-9].[0-9].[0-9]
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README TODO
%{_libdir}/lib%{name}*
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Jul 24 2006 David Walluck <walluck@mandriva.org> 0:0.51-1mdv2007.0
- 0.51

* Sat May 13 2006 David Walluck <walluck@mandriva.org> 0:0.50.2-1mdk
- 0.50.2

* Thu Feb 16 2006 David Walluck <walluck@mandriva.org> 0:0.50-1mdk
- 0.50

* Wed Jan 25 2006 David Walluck <walluck@mandriva.org> 0:0.49-1mdk
- 0.49

* Sun Dec 18 2005 David Walluck <walluck@mandriva.org> 0:0.48-2mdk
- BuildRequires: gtk2-devel
- set CFLAGS for more optimization

* Fri Dec 16 2005 David Walluck <walluck@mandriva.org> 0:0.48-1mdk
- release
